package de.draegerit.timeline.util;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

@FacesConverter("de.draegerit.timeline.util.TextConverter")
public class TextConverter implements Converter {

	@Override
	public Object getAsObject(FacesContext context, UIComponent component, String value) {
		return replaceLineBreaks(value);
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, Object value) {
		return replaceLineBreaks(value);
	}

	private String replaceLineBreaks(Object value) {
		return value.toString().replaceAll("\n", "<br/>");
	}

}
